# Update Webhook Update a webhook. You can update the endpoint url, event types that the endpoint receives, or temporarily deactivate the webhook. Endpoint: PUT /v1/webhooks/{id} Version: 0.1 Security: OAuth2 ## Path parameters: - `id` (string, required) ## Request fields (application/json): - `url` (string, required) The URL to which webhook events will be sent. Must be a valid HTTPS URL. Example: "https://example.com/webhook" - `group_id` (string,null) ID of the webhook group to which this subscription applies, if any. This is only available for partners. Example: "wg_123" - `event_types` (array, required) A list of the webhook event types this subscription will listen to. Enum: "REFERRAL_CREATED", "REFERRAL_ACTIVATED", "REFERRAL_APPLICATION_STATUS_CHANGED", "TRANSFER_PROCESSED", "TRANSFER_FAILED", "EXPENSE_PAYMENT_UPDATED", "USER_UPDATED", "EMBEDDED_CARD_TRANSACTION_UPDATED", "EMBEDDED_CARD_UPDATED", "EMBEDDED_ACCOUNT_UPDATED", "EMBEDDED_CARD_SHIPPING_UPDATED", "EMBEDDED_DISPUTE_UPDATED", "PARTNERSHIP_INTEGRATION_CONNECTION_UPDATED", "EMBEDDED_CARD_AUTHORIZATION", "EMBEDDED_FRAUD_ALERT", "EMBEDDED_BILLING_GROUP_UPDATED", "EMBEDDED_LEGAL_ENTITY_UPDATED", "EMBEDDED_BILLING_STATEMENT_UPDATED", "ACCOUNTING_RECORD_READY_FOR_EXPORT" - `status` (string, required) The status of a webhook subscription. Enum: "ACTIVE", "INACTIVE" ## Response 200 fields (application/json): - `id` (string, required) ID of the webhook subscription. Example: "wsub_123" - `group_id` (string,null) ID of the webhook group to which this subscription applies, if any. Example: "wg_123" - `url` (string, required) The URL to which webhook events will be sent. Must be a valid HTTPS URL. Example: "https://example.com/webhook" - `event_types` (array, required) List of event types that this webhook subscription listens to. Enum: "REFERRAL_CREATED", "REFERRAL_ACTIVATED", "REFERRAL_APPLICATION_STATUS_CHANGED", "TRANSFER_PROCESSED", "TRANSFER_FAILED", "EXPENSE_PAYMENT_UPDATED", "USER_UPDATED", "EMBEDDED_CARD_TRANSACTION_UPDATED", "EMBEDDED_CARD_UPDATED", "EMBEDDED_ACCOUNT_UPDATED", "EMBEDDED_CARD_SHIPPING_UPDATED", "EMBEDDED_DISPUTE_UPDATED", "PARTNERSHIP_INTEGRATION_CONNECTION_UPDATED", "EMBEDDED_CARD_AUTHORIZATION", "EMBEDDED_FRAUD_ALERT", "EMBEDDED_BILLING_GROUP_UPDATED", "EMBEDDED_LEGAL_ENTITY_UPDATED", "EMBEDDED_BILLING_STATEMENT_UPDATED", "ACCOUNTING_RECORD_READY_FOR_EXPORT" - `status` (string, required) The status of a webhook subscription. Enum: "ACTIVE", "INACTIVE" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields